### Virtual Method

# Ide Runtime get_system_include_dirs

#### Declaration

    gchar**
    get_system_include_dirs (
      IdeRuntime* self
    )

#### Description

Gets the system include dirs for the runtime. Usually, this is just “/usr/include”, but more complex runtimes may include additional.

Available since: | 3.32

#### Return value

Returns: | An array of `utf8`
| A newly allocated string containing the include dirs.
| The array is `NULL`-terminated.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.